Index: content/en/posts/ram-fix.org
===================================================================
--- content/en/posts/ram-fix.org	(revision 709b33ee7aea2755f5bb6231af7e72159c4ed895)
+++ content/en/posts/ram-fix.org	(revision ebbbf4f590b4a8f643776081f8c48faf21024c8e)
@@ -43,30 +43,30 @@
 
 ** How to understand that RAM is broken
-The most expected way to see RAM fail is [[https://computerhope.com/beep.htm][BIOS signalling]] that it is
-broken. It should beep using PC Speaker a special signal. You can read
-your motherboard manual to understand what does it mean. Usually it
-means that computer won't start with "completely" broken RAM module.
+The most expected way to see RAM fail is [[https://computerhope.com/beep.htm][BIOS signaling]] that it is
+broken. It should beep a special signal using a PC Speaker. You can read
+your motherboard manual to understand what it mean. Usually, it means
+that the computer won't start with a "completely" broken RAM module.
 
-If system loads just fine, but you experience problems along the way
-such as random segfaults and programs crashes, kernel panics and so on,
+If the system loads just fine, but you experience problems along the way
+such as random segfaults and programs crash, kernel panics, and so on,
 you might have broken segments of RAM. To detect such segments you can
 use several programs listed below. RAM checking is usually not a fast
-process, so you will probably need to left your device running for
+process, so you will probably need to leave your device running for
 several hours.
 
 *** Memtest86+
-Memtest86+ runs from grub menu before your OS. It needs to run in such
-way because it needs whole range of RAM and your system can use a range
-of ram and would not allow to properly check it. It runs a lot of checks
-and checks every segment of your ram. While checking it logs the list of
-broken segments that you can write down.
+Memtest86+ runs from the Grub menu before running your OS. It needs to
+run in such way because it needs the whole range of RAM and your running
+system is using that RAM range. It runs a lot of checks and checks every
+segment of your ram. While checking it logs the list of broken segments
+that you can write down.
 
 You can install it using your GNU+Linux package manager such as apt. The
 package is usually called ~memtest86+~. But there is a small caveat. If
-you use old version it wont work on UEFI systems.
+you use the old version it won't work on UEFI systems.
 
 If it doesn't work you can download memtest86+ newer version
-distribution to your usb stick and load memtest from that. It should
-work on UEFI and BIOS systems. It can be downloaded from offical
+distribution to your USB stick and load memtest from that. It should
+work on UEFI and BIOS systems. It can be downloaded from the offical
 website.
 
@@ -75,8 +75,8 @@
 *** Memtester
 It has the same purpose as memtest86+, but it runs while your system is
-running, so it doesn't check whole RAM range, but only specified free
-ram available at your system at the moment of running this program. It
-can be installed using your package manager of choice by typing
-~memtester~ as package name.
+running, so it doesn't check the whole RAM range, but only specified
+free ram available at your system at the moment of running this
+program. It can be installed using your package manager of choice by
+typing ~memtester~ as a package name.
 
 [[[https://pyropus.ca./software/memtester/][Official Website]]]
@@ -89,46 +89,47 @@
 error, congratulations! You don't have any problems with your RAM.
 
-If it shows small amount of errors like one or two, you can let Linux
-Kernel ignore such segments of RAM, so programs doesn't use such broken
-segments and programs work stable all the time. You need to use for that
-~memmap~ kernel argument in your grub configuration. For example:
+If it shows a small number of errors like one or two, you can let Linux
+Kernel ignore such segments of RAM, so programs don't use such broken
+segments and work stable all the time. You need to use for that ~memmap~
+kernel argument in your grub configuration. For example:
 ~memmap=0x100000$762ce9c38420,0x100000$34e03060,0x100000$87fce060,0x100000$23c63060,0x100000$87b6c060~. There
 is also grub config unit called ~GRUB_BADRAM~, but it looks like it is
-deprecated and memmap is preffered.
+deprecated and memmap is prefered.
 
 For more details about blacklisting bad segments of RAM read [[https://unix.stackexchange.com/questions/75059/how-to-blacklist-a-correct-bad-ram-sector-according-to-memtest86-error-indicati][this
 comprehensive Stack Overflow answer]].
 
-If it shows huge amount of errors, like many thousand, it means that
-probably one of your sticks of RAM are broken. To detect which one is
-broken exactly you can probably figure it out looking at addresses or
-running another test using specific stick(s) of RAM and seeing if errors
+If it shows a big number of errors, like many thousand, it means that
+probably one of your sticks of RAM is broken. To detect which one is
+broken exactly you can probably figure it out by looking at addresses or
+running another test using a specific stick(s) of RAM and seeing if errors
 are gone.
 
-Be aware, that if you left with one RAM stick there is a chance, that it
-will only boot in specific RAM slot. Read your motherboard manual if
-something doesn't work.
+Be aware, that if you leave with one RAM stick there is a chance, that
+it will only boot in a specific RAM slot. Read your motherboard manual
+if something doesn't work.
 
 If you have a RAM memory stick with tons of errors, you can try to
 repair it. I can't tell how exactly it is being done and why it is done
 in the way it should be done. You can find videos on fixing RAM sticks
-on YouTube and other resources. Here is [[https://youtu.be/KVR91p-Bd6M][the link to one of such videos]].
+on YouTube and other resources. Here is [[https://youtu.be/KVR91p-Bd6M][the link to one of such video]].
 
 ** RAM Optimizations of GNU+Linux system
-If your RAM was broken and you left with much less memory that you
+If your RAM was broken and you left with much less memory than you
 expected, don't run and buy new RAM sticks. There is a chance that even
 with less RAM the system will work completely fine. Linux is pretty good
-at working on low end machines and it has different ways to handle lack
-of memory. It is often situation to have devices that outperform their
-tasks in modern world, like working on gaming laptop with very powerful
-CPU and GPU, that are used mostly to render text in a text editor.
+at working on low-end machines and it has different ways to handle a
+lack of memory. There is often a situation in a modern world, when a
+person has devices that outperform their tasks, like working on gaming
+laptop with very powerful CPU and GPU, that are used mostly to render
+text in a text editor.
 
 *** Swap
-Swap is a partition on your hard drive that is being used in situation
+Swap is a partition on your hard drive that is being used in a situation
 when there is no RAM left. It is used for other reasons too and such
 partition is recommended to have on most GNU+Linux systems.
 
 You can configure how often linux system will use swap changing
-~swappiness~. You can read about changing that setting and to learn about
+~swappiness~. You can read about changing that setting and learn about
 swap in general in the link below.
 
@@ -146,11 +147,11 @@
 
 *** Less bloat software
-Also as alternative way you can simply use less bloat software, so you
-don't need so much RAM in the first place. In many cases good software
-doesn't require a lot of RAM, but bad software always leak memory, so
-you would need many GiBs of RAM to use it properly. The most bloated
-software is a web-browser such as chromium and firefox and browser-based
-apps done in electron such as Slack, VSCode and other proprietary
-products.
+Also as an alternative way you can simply use less bloat software, so
+you don't need so much RAM in the first place. In many cases, good
+software doesn't require a lot of RAM, but bad software always leaks
+memory, so you would need many GiBs of RAM to use it properly. The most
+bloated software is a web browser such as chromium and firefox and
+browser-based apps done in electron such as Slack, VSCode, and other
+proprietary products.
 
 ** Conclusions
